当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : GCC 问题 “无法找到gcc-4.0“
帖子发表于 : 2009-02-25 10:39 

注册: 2008-05-15 9:17
帖子: 57
送出感谢: 0 次
接收感谢: 0 次
$ sudo apt-get install build-essential linux-headers-`uname -r` xinetd gcc-4.0 g++-4.0
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
build-essential 已经是最新的版本了。
linux-headers-2.6.24-23-generic 已经是最新的版本了。
E: 无法找到软件包 gcc-4.0

这是我照着安装Vmware说明做的第一步。。。
什么意思阿,我的源地址设置有问题么,我的源列表是按照viki中的推荐源来配置的。
请问怎么解决?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: GCC 问题 “无法找到gcc-4.0“
帖子发表于 : 2009-02-25 13:16 

注册: 2008-01-30 19:19
帖子: 794
送出感谢: 0 次
接收感谢: 0 次
你的包名字没写对,因为版本不停在变的嘛
在输入包名字的时候,写一部分,然后按tab键,可以列出所有前段名字符合的包名称
我看了下,现在是 gcc-4.3
还有,就是你光选 gcc,它其实是个虚的,会自动装最近的版本吧


页首
 用户资料  
 
3 楼 
 文章标题 : Re: GCC 问题 “无法找到gcc-4.0“
帖子发表于 : 2009-02-25 16:59 

注册: 2008-05-15 9:17
帖子: 57
送出感谢: 0 次
接收感谢: 0 次
哦,明白了,就是必须和自己内核版本对应的gcc才能用是吧。
是后来看到以前的旧帖子发现的。
cat /proc/version
可以看到需要的 gcc版本
呵呵。。
谢谢哈 :em01


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译